""" model_file_manager

:Author: Bilal Shaikh < bilalshaikh42@gmail.com >
:Date: 2020-02-25
:Copyright: 2020, Karr Lab
:License: MIT
"""
from biosimulations_query.files import FileManager


class ModelFileManager(FileManager):
    def __init__(
            self,
            username,
            password,
            host,
            authSource,
            database,
            collection,
            userManager):
        super().__init__(username, password, host,
                         authSource, database, collection, userManager)
        self.file_type = "model"

    def add_file_to_db(self, file, file_name, owner, metadata={}):
        return super().add_file_to_db(
            file,
            file_name,
            self.file_type,
            owner,
            metadata=metadata)
